Opened 3 years ago

Closed 2 years ago

#13149 closed bug (no change required)

pkgman error - haiku_loader

Reported by: michel Owned by: nobody
Priority: normal Milestone: Unscheduled
Component: - General Version: R1/Development
Keywords: Cc:
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

for the last ten nightlies or so, I have experienced a consistent error downloading the package haiku_loader

~> pkgman update haiku_loader
Downloading repochecksum-1...done.
Validating checksum for BeSly Software Solutions...done.                        
Downloading repochecksum-1...done.
Validating checksum for FatElk...done.                                          
Downloading repochecksum-1...done.
Validating checksum for Haiku...done.                                           
Downloading repochecksum-1...done.
Validating checksum for HaikuPorts...done.                                      
Downloading repochecksum-1...done.
Validating checksum for clasqm's repo...done.                                   
The following changes will be made:
  in system:
    upgrade package haiku_loader-r1~alpha4_pm_hrev50795-1 to r1~alpha4_pm_hrev50817-1 from repository Haiku
Continue? [yes/no] (yes) : y
Downloading haiku_loader-r1~alpha4_pm_hrev50817-1-x86_gcc2.hpkg...done.
Checksum error:                                                                 
*** expected 'ef67cab32c98c76637dc0d456ac3c226ec88e195f21fda9fa29e237d338ec95f'
*** got      '2c7af00754c95778af9f25afe4ed813b07f1b26c5cc95fc8dfbe6bd97d635da3'*** failed to download package: Bad data

Always just that one.

Change History (3)

comment:1 by waddlesplash, 3 years ago

Can you try using HTTPS URLs for Haiku's repos and retry? (Just change the http to https and re-add them.)

comment:2 by michel, 3 years ago

That did seem to fix it, thanks

comment:3 by diver, 2 years ago

Resolution: no change required
Status: newclosed
Note: See TracTickets for help on using tickets.